Anonymize entity

Deprecated

POST
/v1/anonymization

Anonymize the requested entity (user or conversation). For a conversation to be successfully anonymized, it should be in the status closed. Otherwise, it requires forceAnonymization parameter set to true in the input body. NOTE: This endpoint is deprecated. Prefer using the anonymization endpoints of specific resources instead.

Authorization

ApiKeyAuth anonymization
headerAuthorization<token>

Scope: anonymization

Request Body

A request to anonymize an entity in the system (user or conversation).

application/json
  1. body
entityId*string
entityType?|||Deprecated

Replaced by _type field

forceAnonymization?boolean
_type?string

values: [Conversation, Message, User]

Response Body

The anonymization request status

application/json
  1. response
data*
Example Request
curl -X POST 'https://dev.dixa.io/v1/anonymization' \  -H 'Authorization: <API token>' \  -H 'Content-Type: application/json' \  -d '{  "entityId": "a53b25da-f676-4c52-acac-58c9280aa23d",  "_type": "User"}'
{
"data": {
"id": "a53b25da-f676-4c52-acac-58c9280aa23d",
"entityType": "UserAnonymizationType",
"_type": "User",
"initiatedAt": "2021-12-01T12:46:36.581Z[GMT]",
"targetEntityId": "6292b720-9dbd-4ff7-8942-f4e917cc1520",
"requestedBy": "062f0b37-4de0-40f2-95a4-641435cb2869"
}
}